Name: dhcpcd
Version: 6.10.1
Release: 2%{?dist}
Summary: A minimalistic network configuration daemon with DHCPv4, rdisc and DHCPv6 support
License: BSD
URL: http://roy.marples.name/projects/%{name}/index
Source0: http://roy.marples.name/downloads/%{name}/%{name}-%{version}.tar.xz
Source1: %{name}.service
Source2: %{name}@.service
BuildRequires: ntp
BuildRequires: systemd-devel
BuildRequires: ypbind
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd
%description
The dhcpcd package provides a minimalistic network configuration daemon
that supports IPv4 and IPv6 configuration including configuration discovery
through NDP, DHCPv4 and DHCPv6 protocols.

%prep
%setup -q

%build
%configure \
    --dbdir=/var/lib/%{name}
make %{?_smp_mflags}

%check
make test

%install
export BINMODE=755
%make_install
find %{buildroot} -name '*.la' -delete -print
install -D -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/%{name}.service
install -D -m 644 %{SOURCE2} %{buildroot}%{_unitdir}/%{name}@.service
install -d %{buildroot}%{_var}/lib/%{_name}

%post
%systemd_post dhcpcd.service

%preun
%systemd_preun dhcpcd.service

%postun
%systemd_postun_with_restart dhcpcd.service

%files
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_datadir}/%{name}/hooks/10-wpa_supplicant
%{_datadir}/%{name}/hooks/15-timezone
%{_datadir}/%{name}/hooks/29-lookup-hostname
%{_datadir}/%{name}/hooks/50-yp.conf
%{_libdir}/%{name}
%{_libexecdir}/%{name}-hooks
%{_libexecdir}/%{name}-run-hooks
%{_mandir}/man5/%{name}.conf.5.gz
%{_mandir}/man8/%{name}-run-hooks.8.gz
%{_mandir}/man8/%{name}.8.gz
%{_sbindir}/%{name}
%{_unitdir}/%{name}.service
%{_unitdir}/%{name}@.service
%{_var}/lib/%{name}

%changelog
* Wed Feb 03 2016 Pavel Šimerda <psimerda@redhat.com> - 6.10.1-2
- rebuilt

* Tue Feb 02 2016 Pavel Šimerda <psimerda@redhat.com> - 6.10.1-1
- New version 6.10.1

* Wed Nov 11 2015 Pavel Šimerda <psimerda@redhat.com> - 6.9.3-4
- incorporated feedback

* Wed Nov 11 2015 Pavel Šimerda <psimerda@redhat.com> - 6.9.3-3
- incorporated feedback

* Wed Sep 30 2015 Pavel Šimerda <psimerda@redhat.com> - 6.9.3-2
- incorporated review feedback

* Wed Sep 23 2015 Pavel Šimerda <psimerda@redhat.com> - 6.9.3-1
- initial build

